Search found 1571 matches

by Syzop
Mon Oct 09, 2017 4:19 pm
Forum: Installing and getting connected
Topic: i cant compile ( no acceptable C compiler found in $PATH )
Replies: 12
Views: 153

Re: i cant compile ( no acceptable C compiler found in $PATH )

Try:

Code: Select all

usermod -a -G src ircd
Sorry I'm used to editing /etc/group directly, but suggesting that to you didn't sound like a good idea :D
by Syzop
Mon Oct 09, 2017 3:30 pm
Forum: Installing and getting connected
Topic: i cant compile ( no acceptable C compiler found in $PATH )
Replies: 12
Views: 153

Re: i cant compile ( no acceptable C compiler found in $PATH )

Sorry I meant

Code: Select all

useradd -G groupname ircd
So useradd not groupadd.

I hope that helps because this is going to be my last post in this topic (this is more about general Linux help and not UnrealIRCd) :D
by Syzop
Mon Oct 09, 2017 7:41 am
Forum: Installing and getting connected
Topic: i cant compile ( no acceptable C compiler found in $PATH )
Replies: 12
Views: 153

Re: i cant compile ( no acceptable C compiler found in $PATH )

First do this to figure out the group that is needed: $ ls -al --dereference /usr/bin/gcc -rwxr-xr-x 1 root src 832120 Dec 25 2014 /usr/bin/gcc The group is the second row, in this example it's src Now you need to add your ircd user to the group src . You run this as root: useradd -G src ircd Then l...
by Syzop
Sun Oct 08, 2017 7:18 am
Forum: Installing and getting connected
Topic: i cant compile ( no acceptable C compiler found in $PATH )
Replies: 12
Views: 153

Re: i cant compile ( no acceptable C compiler found in $PATH )

So if you run 'gcc --version' from the same account that you are running './Config' it looks good? Just making sure you don't have any non-root restrictions or something. Some machines have it so normal users cannot execute 'gcc' for security reasons (I know, it's ridiculous). Usually you need to pu...
by Syzop
Sat Oct 07, 2017 7:15 pm
Forum: Installing and getting connected
Topic: i cant compile ( no acceptable C compiler found in $PATH )
Replies: 12
Views: 153

Re: i cant compile ( no acceptable C compiler found in $PATH )

On Debian I would use apt-get install build-essential However you are on.. redhat? centos? You didn't specify. Anyway, try something like this: yum install gcc gcc-c++ make openssl-devel If that didn't work, hopefully someone else can jump in. Also config.log may contain clues (it's a huge file, sea...
by Syzop
Fri Oct 06, 2017 2:56 pm
Forum: Installing and getting connected
Topic: UnrealIRCd 4.0.15 ./Config
Replies: 2
Views: 63

Re: UnrealIRCd 4.0.15 ./Config

Odd, never seen that before. First run this: make clean Then in ./Config try answering No to remote includes. See if it finishes, and run make and make install If that all worked then you can retry all of the above with Yes answered to remote includes. Maybe that is the issue. Or maybe it works afte...
by Syzop
Tue Oct 03, 2017 8:05 pm
Forum: Generic support
Topic: Too frequent releases
Replies: 4
Views: 79

Re: Too frequent releases

I just tried to explain the approach we take. Give users a choice if they want to upgrade or not. There are so many different type of users and use cases. As for changing the '2 months'.. I don't want to get back to the habit of delaying fixes for 4-6 months simply because some people find releases ...
by Syzop
Mon Oct 02, 2017 7:32 am
Forum: Generic support
Topic: Too frequent releases
Replies: 4
Views: 79

Re: Crash issue in UnrealIRCd: apply hot fix ASAP or upgrade to 4.0.15

Releasing new version so often makes it hard on networks with multi servers. By the time I finish upgrading all my servers, there is new version already. Maybe you will not agree with my opinion, but I find it hard to keep up, since I do everything myself on my network. Since I assume you understan...
by Syzop
Sun Oct 01, 2017 12:05 pm
Forum: News and Releases
Topic: Crash issue in UnrealIRCd: apply hot fix ASAP or upgrade to 4.0.15
Replies: 0
Views: 731

Crash issue in UnrealIRCd: apply hot fix ASAP or upgrade to 4.0.15

All UnrealIRCd versions up to and including 4.0.14 can be crashed by a remote user. It is a crash only. Remote code execution is not possible. There are actually two bugs. One of them can be triggered before the user is fully connected (so this also affects hubs and password-protected servers). The ...
by Syzop
Sun Oct 01, 2017 12:37 am
Forum: News and Releases
Topic: Pre-announcement (security issue)
Replies: 0
Views: 63

Pre-announcement (security issue)

UnrealIRCd will release a security advisory this Sunday 2017-10-01 around 15:00 UTC. The issues are fixable without a restart (on *NIX).

Full details will be available on said date/time.

UPDATE: Published. See Crash issue in UnrealIRCd: apply hot fix ASAP or upgrade to 4.0.15.
by Syzop
Fri Sep 15, 2017 9:51 am
Forum: Generic support
Topic: Websocket & SSL certs
Replies: 9
Views: 107

Re: Websocket

As far as I know, the existing users will be disconnected What is that based on? Speculation? I mean, I know how I coded it. It will only refresh the SSL_CTX for new connections. And I and many users have been using this feature for years now, without any such issues. I used it as recently as a wee...
by Syzop
Fri Sep 15, 2017 9:19 am
Forum: Generic support
Topic: Websocket & SSL certs
Replies: 9
Views: 107

Re: Websocket

It's not possible to reload specific certificates. But there should be no need. Reloading a certificate should be harmless for both new and existing users. (Well, unless you replaced the certificate with some incorrect certificate of course.. then new users won't be able to connect, but that's only ...
by Syzop
Fri Sep 15, 2017 9:00 am
Forum: News and Releases
Topic: UnrealIRCd 4.0.14 released
Replies: 0
Views: 463

UnrealIRCd 4.0.14 released

Hi everyone, UnrealIRCd 4.0.14 (stable) is now available for download. This release consists of several SSL/TLS related improvements. There's now a tutorial called Using Let's Encrypt with UnrealIRCd which should help people get a "proper" SSL certificate. You may also be interested in my blog post ...
by Syzop
Fri Sep 15, 2017 8:58 am
Forum: Generic support
Topic: Websocket & SSL certs
Replies: 9
Views: 107

Re: Websocket

If you set up a dedicated port for your websocket connections, so a listen { } block, then you can use listen::ssl-options to use a specific certificate. See the Listen block documentation (in particular the ssl-options section).
by Syzop
Sun Sep 10, 2017 3:42 pm
Forum: Linking servers
Topic: Link servers SSL fingerprint validation
Replies: 11
Views: 215

Re: Link servers SSL fingerprint validation

Actually come to think of it, this should go in the "Linking servers" section :)